Last Comment Bug 683875 - Should remove library when switching to fakelib/expandlib
: Should remove library when switching to fakelib/expandlib
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 677501
  Show dependency treegraph
 
Reported: 2011-09-01 05:57 PDT by Mike Hommey [:glandium]
Modified: 2011-09-16 01:20 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove stale static library when only creating a fakelib (3.28 KB, patch)
2011-09-01 05:59 PDT, Mike Hommey [:glandium]
ted: review+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-09-01 05:57:23 PDT
This is something that happened when we switched over to expandlibs, and that's again something that happens with bug 677501. This effectively requires a clobber, when we really prefer to avoid that.
Comment 1 Mike Hommey [:glandium] 2011-09-01 05:59:10 PDT
Created attachment 557473 [details] [diff] [review]
Remove stale static library when only creating a fakelib
Comment 2 Mike Hommey [:glandium] 2011-09-01 09:27:23 PDT
http://hg.mozilla.org/projects/build-system/rev/b0741ae44def
Comment 3 Mike Hommey [:glandium] 2011-09-01 11:28:20 PDT
http://hg.mozilla.org/projects/build-system/rev/a286edb8ca4b
Comment 4 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-02 14:49:23 PDT
http://hg.mozilla.org/mozilla-central/rev/b0741ae44def
http://hg.mozilla.org/mozilla-central/rev/a286edb8ca4b
Comment 5 Ed Morley [:emorley] 2011-09-02 20:48:32 PDT
The whole b-s merge backed out of m-c for causing bustage:
http://hg.mozilla.org/mozilla-central/rev/472716252ea3

https://tbpl.mozilla.org/?usebuildbot=1&rev=e5815c156b6c
Comment 6 Mike Hommey [:glandium] 2011-09-05 23:12:20 PDT
The backout was backed out

Note You need to log in before you can comment on or make changes to this bug.